Compile failure on Ubuntu amd64 with gcc4.4

Bug #754357 reported by Hannes Roest on 2011-04-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tigr-glimmer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: tigr-glimmer

A make command will fail on the sources. The binary package that is distributed is fine.

Attached is a git style patch that will resolve the issue. This could to be related to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560442 (a similar error but not at the same position in the code) but is not fixed for the user as far as I can tell.
To reproduce this, do

mkdir glimmer
cd glimmer/
wget http://www.cbcb.umd.edu/software/glimmer/glimmer302.tar.gz
tar xzvf glimmer302.tar.gz
cd glimmer3.02/src/
git init
git add .
git commit -m 'glimmer 3.02'
git apply --stat ~/0001-patch-to-compile-on-amd64-with-gcc4.4.patch
git apply --check ~/0001-patch-to-compile-on-amd64-with-gcc4.4.patch
git am < ~/0001-patch-to-compile-on-amd64-with-gcc4.4.patch

Hannes Roest (hannesroest) wrote :
description: updated
description: updated
Hannes Roest (hannesroest) wrote :

Here is the output of a make attached and more information on the system.

$ uname -r
2.6.35-28-generic
$ cat /etc/issue
Ubuntu 10.10 \n \l
$ uname -a
Linux hr 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:39:03 UTC 2011 x86_64 GNU/Linux
$ gcc --version
gcc (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5
Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

tags: added: patch
description: updated
Daniel T Chen (crimsun) wrote :

The Debian source package 3.02-2 already contains the necessary FTBFS fixes. Thank you for your attention, however!

Changed in tigr-glimmer (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers